#include <iostream>
using namespace std;

int main()
{
    int n;
    cin>>n;
    long long l[n][2];
    for (int i=0;i<n;i++)
    {
        for (int j=0;j<2;j++)
        {
            cin>>l[i][j];
        }
    }
    cout<<-1;
    return 0;
}